afetch(1)

NAME

afetch - retrieve an alignment from an alignment database

SYNOPSIS
afetch [options] alignmentdb key

afetch --index alignmentdb

DESCRIPTION
afetch retrieves the alignment named key from an alignment database in file alignmentdb.

alignmentdb is a "multiple multiple alignment" file in Stockholm (e.g. native Pfam) format.

key is either the name (ID) of the alignment, or its accession number (AC).

The alignmentdb file should first be SSI indexed with afetch --index for efficient retrieval. An SSI index is not required, but alignment retrieval without one may be painfully slow.

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

EXPERT OPTIONS

--index
    Instead of retrieving a key, the special command afetch --index alignmentdb produces an SSI index of the names and accessions of the alignments in the file alignmentdb. This should be run once on the alignmentdb file to prepare it for all future afetch's.

SEE ALSO

Master man page, with full list of and guide to the individual man pages for SQUID's auxiliary programs: see squid(1).

AUTHOR
@PACKAGE@ and its documentation is @COPYRIGHT@ HMMER - Biological sequence analysis with profile HMMs Copyright (C) 1992-1999 Washington University School of Medicine All Rights Reserved
    This source code is distributed under the terms of the
    GNU General Public License. See the files COPYING and LICENSE
    for details. See COPYING in the source code distribution for more details, or contact me.
Sean Eddy
Dept. of Genetics
Washington Univ. School of Medicine
4566 Scott Ave.
St Louis, MO 63110 USA
Phone: 1-314-362-7666
FAX  : 1-314-362-7855
Email: eddy@genetics.wustl.edu